summaryrefslogtreecommitdiffstats
path: root/fetch.sh
diff options
context:
space:
mode:
authorMalfurious <m@lfurio.us>2021-04-25 13:48:45 -0400
committerMalfurious <m@lfurio.us>2021-04-25 13:48:45 -0400
commit1d08fc5e10c8ceef1f80f7b0c95e16a73b0b2e26 (patch)
treec41dffd9087a2002facca54ba201b5840c4c9f16 /fetch.sh
parent46b53e3251aa488dd43d90c6e8457437a0c08b34 (diff)
downloadgit-sonar-1d08fc5e10c8ceef1f80f7b0c95e16a73b0b2e26.tar.gz
git-sonar-1d08fc5e10c8ceef1f80f7b0c95e16a73b0b2e26.zip
Apply several suggestions from shellcheck
Signed-off-by: Malfurious <m@lfurio.us>
Diffstat (limited to 'fetch.sh')
-rwxr-xr-xfetch.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/fetch.sh b/fetch.sh
index 6618a6c..eed6960 100755
--- a/fetch.sh
+++ b/fetch.sh
@@ -1,4 +1,4 @@
-#! /usr/bin/env bash
+#!/usr/bin/env bash
if [[ "$OSTYPE" == *darwin* ]]; then
READLINK_CMD='greadlink'
@@ -6,8 +6,8 @@ else
READLINK_CMD='readlink'
fi
-dot="$(cd "$(dirname "$([ -L "$0" ] && $READLINK_CMD -f "$0" || echo "$0")")"; pwd)"
+dot="$(cd "$(dirname "$([ -L "$0" ] && $READLINK_CMD -f "$0" || echo "$0")")" || exit; pwd)"
-source $dot/sonar-base.sh
+source "$dot/sonar-base.sh"
fetch;